.menuDesktopParent {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  z-index: 990;
  width: 100%;
  position: fixed;
  top: 0;
  font-family: "Arial";
  font-size: 1.3vw;
  font-weight: bold;
  color: black;
}

.menuLogo {
  width: 12%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: left;
  padding: 10px;
}

.menuLogo img {
  width: 100%;
  height: auto;
}

.supClass {
  font-size: 0.8vw;
  padding: 0px 0px 5px 3px;
  color: rgb(200, 200, 200);
}

.menuItems {
  width: 70%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  padding: 15px;
  color: black;
  font-size: 0.8vw;
}

.menuItemsBorder {
  border-bottom: 4px solid black;
  padding-top: 15px;
  margin-left: 15px;
  margin-right: 15px;
  color: black;
  height: 20px;
  text-decoration: none;
  text-transform: uppercase;
  font-family: "Arial";
}

.menuDesktopItem {
  padding: 15px;
  font-style: normal;
  cursor: pointer;
}

.menuMobileTop {
  display: none;
  width: 100%;
  height: 80px;
  background: rgba(255, 255, 255, 1);
  backdrop-filter: blur(10px);
  position: fixed;
  z-index: 999;
}

.mobileLogo {
  width: 10%;
  height: 90%;
  margin-top: 5%;
  margin-left: 2%;
}

.mobileLogo img {
  max-width: 100%;
  height: auto;
}

.mobileMenuTitle {
  color: black;
  font-size: 5vw;
  font-family: Arial;
  height: 60%;
  width: 75%;
  margin-bottom: 20px;
}

.mobileMenuTitle img {
  width: 60%;
  height: auto;
  margin-left: 20%;
}

.navBarMenuIcon {
  width: 15%;
  text-align: right;
  padding-right: 10px;
  font-size: 10vw;
  cursor: pointer;
}

.navBarMenuCloseIcon {
  display: none;
  width: 15%;
  text-align: right;
  padding-right: 10px;
  font-size: 10vw;
  font-family: Arial;
  cursor: pointer;
}

.menuMobileParent {
  display: none;
  z-index: 999;
}

.navBarTitle {
  border-bottom: 1px solid black;
  font-family: "Arsenal", sans-serif;
  text-align: center;
  font-size: 6vw;
  width: 100%;
  padding-top: 2vw;
  padding-bottom: 2vw;
}

.navBarMenu {
  display: flex;
  flex-direction: column;
  text-align: left;
  justify-content: center;
  color: rgb(100, 100, 100);
  padding: 3px;
}

a.menuLink {
  text-decoration: none;
  color: rgb(150, 150, 150);
}

.navBarMenuItemsBorder {
  border-bottom: 0.5px solid grey;
  font-size: 4vw;
  color: rgb(100, 100, 100);
  margin: 2vw;
  padding-bottom: 3vw;
  text-decoration: none;
  text-transform: uppercase;
  font-family: "Arial";
}

.navBarSubMenuItemsBorder {
  border-bottom: 0.1px solid grey;
  font-size: 3.5vw;
  color: rgb(100, 100, 100);
  margin: 2vw;
  padding-bottom: 2vw;
  text-decoration: none;
  text-transform: uppercase;
  font-family: "Arial";
}

@media (max-width: 500px) {
  .menuDesktopParent {
    display: none;
  }

  .supClass {
    font-size: 2.2vw;
  }

  .menuMobileTop {
    display: block;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    color: black;
  }

  .menuMobileParent {
    display: block;
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: rgb(255, 255, 255);
    color: rgb(20, 30, 150);
    display: none;
    margin-top: 70px;
    position: fixed;
    background: rgb(30, 30, 30);
    color: white;
  }
}
